/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package io.airlift.slice;

public abstract class FixedLengthSliceInput
        extends SliceInput
{
    /**
     * Gets the total size of this input stream.
     */
    public abstract long length();

    /**
     * Gets the number of bytes remaining after the current position in this stream.
     */
    public final long remaining()
    {
        return length() - position();
    }
}
